EDIT - bug #9172

Missing synchronisation between taxonnode wizard and name editor
07/30/2020 12:11 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal Found in Version:

Description

When a taxonnode is updated which is already opened in name editor, the node information is not updated in name editor and when
saving name editor the old status overwrites the new one.

Associated revisions

Revision 1b9f53bd - 08/03/2020 01:51 PM - Katja Luther

ref #9172: check for dirty name editor before open taxon node wizard

Revision 3e26f902 - 08/03/2020 01:52 PM - Katja Luther

ref #9172: send event to update name editor after changing taxon node

History

#1 - 08/03/2020 01:54 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 60

Now there is a check for changes before opening the taxonnode wizard and after closing the node wizard the name editor gets an update event.
please review.

#2 - 08/12/2020 02:43 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 60 to 100

Seems to work

#3 - 08/12/2020 03:23 PM - Andreas Miiller
- Status changed from Closed to Feedback
- Priority changed from New to Highest

#4 - 08/12/2020 03:24 PM - Andreas Miiller

- Status changed from Feedback to Closed

Upps, sorry, wrong ticket.

#5 - 08/19/2020 08:41 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
